utf8 = require("utf8")
local CommandChannel
local thread
function love.load()
	CommandChannel = love.thread.getChannel("command")
	HTTPChannel = love.thread.getChannel("http")
	thread = love.thread.newThread("thread.lua")
	thread:start()

	text = ""
	result = ""
end

function love.textinput(t)
	text = text .. t
end

function love.keypressed(key)
	if key == "backspace" then
		local byteoffset = utf8.offset(text, -1)
		if byteoffset then
			text = string.sub(text, 1, byteoffset - 1)
        end
    elseif key == "return" then
    	local command = {
			url = text,
		}
		CommandChannel:push(command)
		text = ""
	end
end

function love.update(dt)
	local html = HTTPChannel:pop()
	if html then
		result = html
	end
end

function love.draw()
	love.graphics.print(text, 10, 10)
	if result then
		love.graphics.printf(result, 10, 30, 780, "left")
	end
end

function love.threaderror(thread, errorstr)
  print("Thread error!\n"..errorstr)
end